---
title: Watch a case
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Case Management
---

# Watch a case{% #watch-a-case %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                   |
| ----------------- | ------------------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/cases/{case_id}/watchers/{user_uuid} |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/cases/{case_id}/watchers/{user_uuid} |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/cases/{case_id}/watchers/{user_uuid}      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/cases/{case_id}/watchers/{user_uuid}      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/cases/{case_id}/watchers/{user_uuid}  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/cases/{case_id}/watchers/{user_uuid}     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/cases/{case_id}/watchers/{user_uuid} |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/cases/{case_id}/watchers/{user_uuid} |

### Overview

Adds a user (identified by their UUID) as a watcher of a case. The user receives notifications about subsequent updates to the case.

OAuth apps require the `cases_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#case-management) to access this endpoint.



### Arguments

#### Path Parameters

| Name                        | Type   | Description                                         |
| --------------------------- | ------ | --------------------------------------------------- |
| case_id [*required*]   | string | Case's UUID or key                                  |
| user_uuid [*required*] | string | The UUID of the user to add or remove as a watcher. |

### Response

{% tab title="201" %}
Created
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export case_id="f98a5a5b-e0ff-45d4-b2f5-afe6e74de504" export user_uuid="8146583c-0b5f-11ec-abf8-da7ad0900001" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/cases/${case_id}/watchers/${user_uuid}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
